# $Id$
# Authority: dag

Summary: Shell tool for executing jobs in parallel
Name: parallel
Version: 20130522
Release: 1%{?dist}
License: GPLv3+
Group: Applications/Productivity
URL: http://www.gnu.org/software/parallel/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://ftp.gnu.org/gnu/parallel/parallel-%{version}.tar.bz2
Source1: parallel-config
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
# Due to a naming conflict, both packages cannot be installed in parallel
# To prevent user confusion, GNU parallel is installed in a compatibility
# mode to be commandline compatible to moreutils' parallel.
# This mode can be turned off system wide or on a per-user base.
Conflicts: moreutils-parallel

%description
GNU Parallel is a shell tool for executing jobs in parallel using one or more
machines. A job is typically a single command or a small script that has to be
run for each of the lines in the input. The typical input is a list of files, a
list of hosts, a list of users, or a list of tables.

If you use xargs today you will find GNU Parallel very easy to use. If you
write loops in shell, you will find GNU Parallel may be able to replace most of
the loops and make them run faster by running jobs in parallel. If you use ppss
or pexec you will find GNU Parallel will often make the command easier to read.

GNU Parallel also makes sure output from the commands is the same output as you
would get had you run the commands sequentially. This makes it possible to use
output from GNU Parallel as input for other programs.

GNU Parallel is command-line-compatible with moreutils' parallel, but offers
additional features.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

find %{buildroot} -iname "*.html" -delete
find %{buildroot} -iname "*.texi" -delete
mv %{buildroot}%{_mandir}/man1/sql.1 %{buildroot}%{_mandir}/man1/parallel-sql.1

%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/parallel/config

%files
%defattr(-, root, root, 0755)
%doc COPYING NEWS README
%doc src/*.html src/*.texi
%doc %{_mandir}/man1/niceload.1.*
%doc %{_mandir}/man1/parallel.1.*
%doc %{_mandir}/man1/parallel-sql.1.*
%doc %{_mandir}/man1/sem.1.*
%config(noreplace) %{_sysconfdir}/parallel/
%{_bindir}/niceload
%{_bindir}/parallel
%{_bindir}/sem
%{_bindir}/sql

%changelog
* Thu May 23 2013 Dag Wieers <dag@wieers.com> - 20130522-1
- Initial package. (from fedora)
